import { QueryBase } from '@mobicoop/ddd-library';
import { Waypoint } from '@modules/geography/core/domain/route.types';
import { GeorouterSettings } from '../../types/georouter-settings.type';

export class GetRouteQuery extends QueryBase {
  readonly waypoints: Waypoint[];
  readonly georouterSettings: GeorouterSettings;

  constructor(waypoints: Waypoint[], georouterSettings: GeorouterSettings) {
    super();
    this.waypoints = waypoints;
    this.georouterSettings = georouterSettings;
  }
}
