import { Role } from '../../domain/ad.types';
import { Waypoint } from '../types/waypoint.type';
import { CarpoolRoute } from '../types/carpool-route.type';

export interface CarpoolRouteProviderPort {
  /**
   * Get a basic carpool route with points and overall duration / distance
   */
  getBasic(roles: Role[], waypoints: Waypoint[]): Promise<CarpoolRoute>;
}
